Results 1 to 1 of 1

Thread: clanlib.m4 too old

  1. #1
    Squire
    Join Date
    Oct 2007
    Location
    Stockholm
    Posts
    26

    Default clanlib.m4 too old

    Hi all,

    This is a autoconf/libtool comment.

    It seems that Setup\Unix\clanlib.m4 is not updated in a long while. There must now be .m4 files for all parts of clanlib, e.g. clanApp, clanCore.

    For clanApp-0.8 it will look as in the attachments (without the .txt file ending). In the configure.in, you then write:

    AC_CLANAPP_0_8
    AC_CLANCORE_0_8
    AC_CLANGL_0_8
    AC_CLANDISPLAY_0_8
    AC_CLANSOUND_0_8
    AC_CLANGUI_0_8
    AC_CLANNETWORK_0_8
    AC_CLANSIGNALS_0_8

    In Makefile.am you then write:
    myprogram_LDADD = @CLANNETWORK_LIBS@ @CLANAPP_LIBS@ @CLANCORE_LIBS@ @CLANSIGNALS_LIBS@ @CLANGL_LIBS@ @CLANDISPLAY_LIBS@ @CLANGUI_LIBS@ @CLANSOUND_LIBS@

    It might be myprogram_LIBADD ?? (I am a beginner on this).

    Am I correct/wrong?
    Attached Files Attached Files

Bookmarks

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •